For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assign device posture check policies to a location

Replaces the current assignment.

put
Authorizations
defguard_sessionstringRequired
Path parameters
idinteger · int64Required

ID of the location.

Body

Request body for assigning posture checks to a VPN location.

posturesinteger · int64[]Required
Responses
200

Device posture check policies assigned to the location.

application/json
integer · int64[]Optional
put/api/v1/network/{id}/postures
PUT /api/v1/network/{id}/postures HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "postures": [
    1
  ]
}
[
  1
]

Last updated

Was this helpful?